var idToIp = new Array;





//	LOGIC

//	DEVICE FILTER
$("#deviceFilter").livequery('click', function() {
	$("#deviceFilter").val('');
});

$("#deviceFilter").livequery('blur', function() {
	if($("#deviceFilter").val() == ''){
		$("#deviceFilter").val('<Device Filter>')
	};
});

$("#interfaceSelect").livequery('change', function() {
	if($("#interfaceSelect").val() == 'ALL'){
		$("#displayDirection").css("display","none");
	}else{
		$("#displayDirection").css("display","");
	}
});	

$("input[name=graphType]").livequery('click', function() {
	checkboxHider();
});	

$("input[name=bbp]").livequery('click', function() {
	checkboxHider();
});

$("#tabSelect").livequery('change', function() {
	if($("#tabSelect").val() == "Applications"){
		$("#displayGraphType").css("display","none");
	}else{
		$("#displayGraphType").css("display","");
	}
});

function checkboxHider(){
	if( $("input[name=bbp]:checked").val() == 'Total packets'){
		$("#displayOther").css("display","none");
		$("#displayPercent").css("display","none");		
	}else if($("input[name=graphType]:checked").val() == 'pie'){
		$("#displayPercent").css("display","none");
		$("#displayOther").css("display","");		
	}else{
		$("#displayOther").css("display","");
		$("#displayPercent").css("display","");	
	}
}


//	LOAD FUNCTION

function loadRunReport(){
	loadDateDiv('simple');
	populateDevices();
} 


function realTime(){
	if($("#deviceSelect").val() ==''){
		alert('Please select a device first');
		return;
	}
	
	if( $("#interfaceSelect").val() == '' ){
		alert('Please select an interface.');
		return;
	}
	if($("#interfaceSelect").val() == 'ALL'){
		alert('Not available for All Interfaces');
		return;
	}
	//&community=smxpub
	window.open('index.cgi?z=realTimeRRD&rrdinfo='+ $("#deviceSelect").val() +'-' + $("#interfaceSelect").val() +'&ip=' + idToIp[$("#deviceSelect").val()],'_blank','resizable=0,toolbar=0,location=0,scrollbars=0,width=680,height=580')
}

function snmpManage(){
	if($("#deviceSelect").val() ==''){
		alert('Please select a device first');
		return;
	}
	window.open('index.cgi?category=Settings&srcAddr=' + idToIp[$("#deviceSelect").val()] +'&a=Manage Devices&b=View&noTabs=1','_blank','resizable=1,toolbar=0,location=0,scrollbars=1,width=950,height=700');
}

function populateDevices(){
	
	var device = $("#deviceSelect").val();
 	var ajaxData = "reportWizard=devices&deviceFilter=" + $("#deviceFilter").val();

	$.ajax({
		type: "POST",
		url: "/index.cgi",
		data: ajaxData,
		dataType: 'json',
		timeout: 30000,
		beforeSend: function(){
			$("#rrAjaxStatus").html("<img src=/icons/ajax-loader-rr.gif>"); 
		},
		success: function(json){
			$("#rrAjaxStatus").html(""); 
			buildDeviceList(json);
		},
		error: function(XMLHttpRequest, textStatus, errorThrown){
			$("#rrAjaxStatus").html(""); 
		}
	});
}

function buildDeviceList(json){
	var options = '';
	var deviceList = json.deviceList;
	
	options += "<option value=''>Select Device</option>";
	for(i=0; i<deviceList.length; i++) { 
		options += "<option value='" + json.devices[deviceList[i]] + "'>" + deviceList[i] + "</option>";
	}

	$("#deviceSelect").html(options);	
	try{
		$("#reportWizardForm select[name='deviceSelect'] option[value='']").attr("selected","selected");
	}
	catch(err){
	
	}
	
}


function populateInterfaces(){
	
	var device = $("#deviceSelect").val();
 	var ajaxData = "reportWizard=interfaces&device_id=" + device;

	$.ajax({
		type: "POST",
		url: "/index.cgi",
		data: ajaxData,
		dataType: 'json',
		timeout: 30000,
		beforeSend: function(){
			$("#rrAjaxStatus").html("<img src=/icons/ajax-loader-rr.gif>"); 
		},
		success: function(json){
			$("#rrAjaxStatus").html(""); 
			buildInterfaceList(json);
			idToIp = json.idToIp;
		},
		error: function(XMLHttpRequest, textStatus, errorThrown){
			$("#rrAjaxStatus").html(""); 
		}
	});
}

function buildInterfaceList(json){
	var options = '';
	var instances = json.instances;
	
	options += "<option value=''>Select Interface</option>";
	options += "<option value='ALL'>All Interfaces</option>";
	for(i=0; i<instances.length; i++) { 
		options += "<option value='" + instances[i] + "'>" + json.interfaces[instances[i]] + "</option>";
	}
	

	$("#interfaceSelect").html(options);	
	try{
		$("#reportWizardForm select[name='interfaceSelect'] option[value='']").attr("selected","selected");
	}
	catch(err){
	
	}
}

function wizardSubmit(){

	// These values are quirky.  Up is down, left is right, etc...
	
	var showOther 	= $('#showOther').attr('checked') ? 0 : 1;
	var bpu 	= $('#percent').attr('checked') ? 'P' : 'U';
	var inOut	= ($("input[name=inOut]:checked").val() == 'out') ? 1 : 0;
	
	var applicationAddOn = '';
	if($("#tabSelect").val() == "Applications"){
		applicationAddOn	= "&appGroups=1";
	}
	
	// For Bar and Line, gs=T  For Pie, gs=P
	var graphTypeString = '';
	if( $("input[name=graphType]:checked").val() == 'line'){
		graphTypeString = '&gs=T';
		//alert('line');
	}else if( $("input[name=graphType]:checked").val() == 'bar'){
	
		graphTypeString = '&gs=T&fBar=1';
		//alert('bar');
	}else if( $("input[name=graphType]:checked").val() == 'pie'){
		graphTypeString = '&gs=P';
		//alert('pie');
	
	}else{
		alert('I dont know what kind of graph you want');
	}

	var url = "/index.cgi?z=Summary&category=Status&bulletin="+ 
			$("#tabSelect").val() + "&srcAddr="+ idToIp[$("#deviceSelect").val()] + 
			"&ifIndex="+ $("#interfaceSelect").val() + 
			"&bbp=" + $("input[name=bbp]:checked").val() + 
			"&topxlist=" + $("#topxlist").val() + 
			"&graph_start=" + $("#startDateEpoch").val() + 
			"&graph_end=" + $("#endDateEpoch").val() + 
			"&ob=" + inOut +
			"&ng=" + showOther +
			"&bpu=" + bpu +
			graphTypeString +
			"&rr=1" +
			applicationAddOn; 
			
			
	//alert($("#deviceSelect").val());
	
	if($("#deviceSelect").val() == ''){
		alert('Please select a device.');
		return;
	}
	if($("#interfaceSelect").val() == ''){
		alert('Please select an interface.');
		return;
	
	}

	if(1){
		window.open(url,'_blank','resizable=1,toolbar=0,location=0,scrollbars=1,status=yes,width=950,height=700')
	}
}