/************************************************************************************************************ 
Progress Bar
Copyright (C) 2007  DTHMLGoodies.com, Alf Magne Kalleland 

This library is free software; you can redistribute it and/or 
modify it under the terms of the GNU Lesser General Public 
License as published by the Free Software Foundation; either 
version 2.1 of the License, or (at your option) any later version. 

This library is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
Lesser General Public License for more details. 

You should have received a copy of the GNU Lesser General Public 
License along with this library; if not, write to the Free Software 
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 

Dhtmlgoodies.com., hereby disclaims all copyright interest in this script 
written by Alf Magne Kalleland. 

Alf Magne Kalleland, 2007 
Owner of DHTMLgoodies.com 
    
************************************************************************************************************/  	
var progressbar_steps;// = 50;	// Total number of progress bar steps.

/* Don't change any of these variables */
var dhtmlgoodies_progressPane = false;
var dhtmlgoodies_progressBar_bg = false;
var dhtmlgoodies_progressBar_outer = false;
var dhtmlgoodies_progressBar_txt = false;
var progressbarWidth;
var currentStep = 0;
function moveProgressBar(progressbar_steps,steps,message){
	//alert(steps);
	if(steps == 99999){
		setTimeout('document.getElementById("dhtmlgoodies_progressPane").style.display="none"',50);
		showForm();
	}

	if(!dhtmlgoodies_progressBar_bg){
		dhtmlgoodies_progressPane = document.getElementById('dhtmlgoodies_progressPane');
		dhtmlgoodies_progressBar_bg = document.getElementById('dhtmlgoodies_progressBar_bg');
		dhtmlgoodies_progressBar_outer = document.getElementById('dhtmlgoodies_progressBar_outer');
		dhtmlgoodies_progressBar_txt = document.getElementById('dhtmlgoodies_progressBar_txt');
		progressbarWidth = dhtmlgoodies_progressBar_bg.clientWidth;
	}
	if(!steps){
		dhtmlgoodies_progressBar_outer.style.width = progressbarWidth + 'px';
		dhtmlgoodies_progressBar_txt.innerHTML = '100%';
		setTimeout('document.getElementById("dhtmlgoodies_progressPane").style.display="none"',50);
		showForm();
	}else{
		hideForm();
		currentStep+=steps;
		if(currentStep>progressbar_steps)currentStep = progressbar_steps;
		var width = Math.ceil(progressbarWidth * (currentStep / progressbar_steps));
	
		dhtmlgoodies_progressBar_outer.style.width = width + 'px';
		var percent = Math.ceil((currentStep / progressbar_steps)*100);

		dhtmlgoodies_progressBar_txt.innerHTML = "Searching " + message  + " (" + currentStep + " of " + progressbar_steps + ") " + percent + '%';
		if(currentStep==progressbar_steps){
			setTimeout('document.getElementById("dhtmlgoodies_progressPane").style.display="none"',50);
			showForm();
		}
	}




}

function hideForm(){
	document.getElementById('ipApp').style.visibility = 'hidden';
	document.getElementById('flowSearch').style.visibility = 'hidden';
	document.getElementById('granularity').style.visibility = 'hidden';
}

function showForm(){
	document.getElementById('ipApp').style.visibility = '';
	document.getElementById('flowSearch').style.visibility = '';
	document.getElementById('granularity').style.visibility = '';
}

