/********************************************************
For more info & download: http://www.ibegin.com/blog/p_ibox.html
Created for iBegin.com - local search done right
MIT Licensed Style
*********************************************************/
var indicator_img_path = "/images/indicator.gif";
var indicator_img_html = "<img id=\"ibox_indicator\" name=\"ibox_indicator\" src=\""+indicator_img_path+"\" alt=\"Loading...\" style=\"width:128px;height:128px;\"/>"; // don't remove the name

var opacity_level = 8; // how transparent our overlay bg is
var ibAttr = "rel"; 	// our attribute identifier for our iBox elements
//var ibAttr = "id";	// set these in perl

var imgPreloader = new Image(); // create an preloader object

showBG = function() {
	var box_w = getElem('ibox_w');

	box_w.style.opacity = 0;
	box_w.style.filter = 'alpha(opacity=0)';
	setBGOpacity = setOpacity;
	for (var i=0;i<=opacity_level;i++) {setTimeout("setIboxOpacity('ibox_w',"+i+")",70*i);} // from quirksmode.org

	box_w.style.display = "";
	var pagesize = new getPageSize();
	var scrollPos = new getScrollPos();

	var ua = navigator.userAgent;

	if(ua.indexOf("MSIE ") != -1) {box_w.style.width = pagesize.width+'px';}
	/*else {box_w.style.width = pagesize.width-20+'px';}*/ // scrollbars removed! Hurray!
	box_w.style.height = pagesize.height+scrollPos.scrollY+'px';

}

hideBG = function() {
	var box_w = getElem('ibox_w');
	box_w.style.display = "none";

}

var loadCancelled = false;
showIndicator = function() {
	var ibox_p = getElem('ibox_progress');
	ibox_p.style.display = "";
	posToCenter(ibox_p);
	ibox_p.onclick = function() {hideIbox();hideIndicator();loadCancelled = true;}
}


hideIndicator = function() {
	var ibox_p = getElem('ibox_progress');
	ibox_p.style.display = "none";
	ibox_p.onclick = null;
}

createIbox = function(elem) {
	// a trick on just creating an ibox wrapper then doing an innerHTML on our root ibox element
	var strHTML = "<div id=\"ibox_w\" style=\"display:none;\"></div>";
	strHTML +=	"<div id=\"ibox_progress\" style=\"display:none;\">";
	strHTML +=  indicator_img_html;
	strHTML +=  "</div>";
	strHTML +=	"<div id=\"ibox_content\" style=\"display:none\"></div>";

	var ibox = document.createElement("div");
	ibox.setAttribute("id","ibox");
	ibox.style.display = '';
	ibox.innerHTML = strHTML;
	elem.appendChild(ibox);
}

var ibox_w_height = 0;

setOpacity = function (elemid,value)	{
		var e = getElem(elemid);
		e.style.opacity = value/10;
		e.style.filter = 'alpha(opacity=' + value*10 + ')';
}

resizeImageToScreen = function(objImg) {

	var pagesize = new getPageSize();

	var x = pagesize.width - 100;
	var y = pagesize.height - 100;

	if(objImg.width > x) {
		objImg.height = objImg.height * (x/objImg.width);
		objImg.width = x;
		if(objImg.height > y) {
			objImg.width = objImg.width * (y/objImg.height);
			objImg.height = y;
		}
	}

	else if(objImg.height > y) {
		objImg.width = objImg.width * (y/objImg.height);
		objImg.height = y;
		if(objImg.width > x) {
			objImg.height = objImg.height * (x/objImg.width);
			objImg.width = x;
		}
	}

	return objImg;
}

maintPos = function() {

	//var ibox = getElem('ibox_wrapper');
	var ibox = getElem('ibox_content');
	var box_w = getElem('ibox_w');
	var pagesize = new getPageSize();
	var scrollPos = new getScrollPos();
	var ua = navigator.userAgent;

	if(ua.indexOf("MSIE ") != -1) {box_w.style.width = pagesize.width+'px';}
	/*else {box_w.style.width = pagesize.width-20+'px';}*/

	if(ua.indexOf("Opera/9") != -1) {box_w.style.height = document.body.scrollHeight+'px';}
	else {box_w.style.height = pagesize.height+scrollPos.scrollY+'px';}

	// alternative 1
	//box_w.style.height = document.body.scrollHeight+50+'px';

	posToCenter(ibox);

}

hideIbox = function() {
	hideBG();
	//var ibox = getElem('ibox_wrapper');
	var ibox = getElem('ibox_content');
	ibox.style.display = "none";

	clearIboxContent();
	window.onscroll = null;
}

posToCenter = function(elem) {
	var scrollPos = new getScrollPos();
	var pageSize = new getPageSize();
	var emSize = new getElementSize(elem);
	var x = Math.round(pageSize.width/2) - (emSize.width /2) + scrollPos.scrollX;
	var y = Math.round(pageSize.height/2) - (emSize.height /2) + scrollPos.scrollY;
	elem.style.left = x+'px';
	elem.style.top = y+'px';
}

getScrollPos = function() {
	var docElem = document.documentElement;
	this.scrollX = self.pageXOffset || (docElem&&docElem.scrollLeft) || document.body.scrollLeft;
	this.scrollY = self.pageYOffset || (docElem&&docElem.scrollTop) || document.body.scrollTop;
}

getPageSize = function() {
	var docElem = document.documentElement
	this.width = self.innerWidth || (docElem&&docElem.clientWidth) || document.body.clientWidth;
	this.height = self.innerHeight || (docElem&&docElem.clientHeight) || document.body.clientHeight;
}

getElementSize = function(elem) {
	this.width = elem.offsetWidth ||  elem.style.pixelWidth;
	this.height = elem.offsetHeight || elem.style.pixelHeight;
}

setIBoxContent = function(str) {
	clearIboxContent();
	var e = getElem('ibox_content');
	e.style.overflow = "auto";
	e.innerHTML = str;

}
clearIboxContent = function() {
	var e = getElem('ibox_content');
	e.innerHTML = "";

}


getElem = function(elemId) {
	return document.getElementById(elemId);
}

// parseQuery code borrowed from thickbox, Thanks Cody!
parseQuery = function(query) {
   var Params = new Object ();
   if (!query) return Params;
   var Pairs = query.split(/[;&]/);
   for ( var i = 0; i < Pairs.length; i++ ) {
      var KeyVal = Pairs[i].split('=');
      if ( ! KeyVal || KeyVal.length != 2 ) continue;
      var key = unescape( KeyVal[0] );
      var val = unescape( KeyVal[1] );
      val = val.replace(/\+/g, ' ');
      Params[key] = val;

   }

   return Params;
}

showPbox = function() {
	var ibox = getElem('ibox_content');
/*
	if (browser=="Netscape"){
		ibox.style.height = '445px';
		ibox.style.width = '755px';
	}
	else{
		ibox.style.height = '451px';
		ibox.style.width = '761px';
	}
*/
	ibox.style.display = "";
	ibox.style.visibility = "hidden";
	//posToCenter(ibox);
	//ibox.style.visibility = "visible";
	getElem('ibox_content').style.overflow = "auto";
	ibox.style.opacity = 0;
	ibox.style.filter = 'alpha(opacity=0)';
	var ibox_op_level = 10;
	setIboxOpacity = setOpacity;
	for (var i=0;i<=ibox_op_level;i++) {setTimeout("setIboxOpacity('ibox_content',"+i+")",30*i);}
	ibox.onclick = null;
}