
// Exquisite Global
var temp_data;
var exInpArray = new Array();
var suppressSubmitMessage = 0;

// RESET FIELD TO ORIGINAL VAL
function savedata(myField) {

		temp_data = myField.value;
		//alert('temp data ' + temp_data);

}

function getExistingInputs(){
	try {var myForm = document.getElementById('confSettingsTable');}
	catch(e){alert('problem finding confSettingsTable: ' +e);}

	if (myForm.getElementsByTagName("INPUT")){
		var elms = myForm.getElementsByTagName("INPUT");
	}
	if (elms){
		//alert('elms.length:'+elms.length);
		for (var i=0; i<elms.length; i++){
			var elName = elms[i].name;
			exInpArray[elName] = elms[i].value;
			//alert(exInpArray[elName]);
		}
	}
}


function validateWholeForm(){
	var elms = document.getElementsByTagName("INPUT");

	var url = /validateURL/;
	var port = /validatePort/;
	var color = /validateColor/;
	var email = /validateEmail/;
	var ipaddr = /validateIPAddress/;
	var alphanum = /validateAlphaNum/;
	var numcomma = /validateNumComma/;
	var numrange = /validateNumRange/;
	//alert('validateWholeForm');
	for (var i=0; i<elms.length; i++){
		if (elms[i].type == "text"){
			if (url.test(elms[i].onblur)){
				if (! validateURL(elms[i], suppressSubmitMessage)){
					return false;
				}
			}else if(port.test(elms[i].onblur)){
				if(! validatePort(elms[i], suppressSubmitMessage)){
					return false;
				}
			}else if(color.test(elms[i].onblur)){
				if(! validateColor(elms[i], suppressSubmitMessage)){
					return false;
				}
			}else if(email.test(elms[i].onblur)){
				if(! validateEmail(elms[i], suppressSubmitMessage)){
					return false;
				}
			}else if(ipaddr.test(elms[i].onblur)){
				if(! validateIPAddress(elms[i], suppressSubmitMessage)){
					return false;
				}
			}else if(alphanum.test(elms[i].onblur)){
				if(! validateAlphaNum(elms[i], suppressSubmitMessage)){
					return false;
				}
			}else if(numcomma.test(elms[i].onblur)){
				if(! validateNumComma(elms[i], suppressSubmitMessage)){
					return false;
				}
			}else if(numrange.test(elms[i].onblur)){
				var dontSupress = 0;
				onBlur = elms[i].onblur;
				// a typical onblur: validateNumRange(this, 'noChange', 'noChange', 1, 1000, 0);
				var t = onBlur.toString();
				var blurArray = t.split("\(");
				var x = blurArray[2].split("\)");
				var Args = x[0].split(',');
				if(! validateNumRange(elms[i],Args[1],Args[2],Args[3],Args[4],Args[5], 1)){
					//alert('name: '+ elms[i].name);
					return false;
				}
			}

		}
		if (elms[i].type == "password"){
			var newPass = /NEW/;
			var origID = elms[i].id.replace(/NEW/, '');
			var divID = origID + 'divID';
			if (document.getElementById(divID).style.display != 'none' && newPass.test(elms[i].id)){
				if (! validatePassword(elms[i], 1)){
					return false;
				}
			}
		}
	}

	return true;
}

function validateEmail(myField, suppressAlerts) {

	var str = myField.value;

	if (str){
		if (/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(str)){
			return (true);
		}
		if (! suppressAlerts){
			alert ('Please enter a valid email address');
			myField.value = temp_data;
			temp_data = undefined;
		}
		return (false);
	}

	return true;

}

function validateAlphaNum(myField, suppressAlerts) {

	var notalphanum = /\W/;

	if(notalphanum.test(myField.value)){
		if (! suppressAlerts){
			alert ('Please enter an alpha-numeric value');
			myField.value = temp_data;
			temp_data = undefined;
		}
		return false;
	}
	return true;
}

// Used for 2055, 4739, 9996, 6343 fields
function validateNumComma(myField, suppressAlerts) {

	// Removes spaces if there are any
	var hasspace = /\s/;

	if(hasspace.test(myField.value)){
		numcomma = myField.value.replace(/\s/g, '');
	}
	else{
		var numcomma = myField.value;
	}
	/*
	if (!numcomma){
		if (! suppressAlerts){
			alert ('Please enter an port number');
			myField.value = temp_data;
			temp_data = undefined;
		}
		return false;
	}
	*/
	// Check for comma(s)
	var comma = /,/;

	if(comma.test(numcomma)){ // is there a comma

		var ports = numcomma.split(',');

		for (var i=0; i<ports.length; i++) { // loop through all comma delimited vals for forbidden ports

			if (ports[i] == 80 || ports[i] == 7235){
				if (! suppressAlerts){
					alert ('The use of value ' + ports[i] + ' is prohibited.');
					myField.value = temp_data;
					temp_data = undefined;
				}
				return false;
			}
			if (ports[i] < 0 || ports[i] > 65535){
				if (! suppressAlerts){
					alert ('Please enter a value between 0 - 65535');
					myField.value = temp_data;
					temp_data = undefined;
				}
				return false;
			}

		}
		// strip the comma for non numeric check below
		numcomma = numcomma.replace(/,/g, '');
	}
	else { // check single vals for forbidden ports
		if (numcomma == 80 || numcomma == 7235){
			if (! suppressAlerts){
				alert ('The use of value ' + numcomma + ' is prohibited.');
				myField.value = temp_data;
				temp_data = undefined;
			}
			return false;
		}
		if (numcomma < 0 || numcomma > 65535){
			if (! suppressAlerts){
				alert ('Please enter a value between 0 - 65535');
				myField.value = temp_data;
				temp_data = undefined;
			}
			return false;
		}
	}
	// Check for Non Digit entries that are not commas
	var nondigit = /\D/;

	if (nondigit.test(numcomma)){
		if (! suppressAlerts){
			alert ('Please enter a number or a number list delimited by commas.');
			myField.value = temp_data;
			temp_data = undefined;
		}
		return false;
	}
	return true;

}

function validateIPAddress(myField, suppressAlerts) {

	var ipaddr= myField.value;
	var isdigit = /\d/;
	var nonword = /\W/;
	var isAlpha = /\w/; // If not an IP address let her through
	var re = /^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}$/;

	if (isdigit.test(ipaddr) && nonword.test(ipaddr) && re.test(ipaddr)){

		if (re.test(ipaddr)) {
			var parts = ipaddr.split(".");
			if (parseInt(parseFloat(parts[0])) == 0) { // The first part cannot be the number zero
				if (! suppressAlerts){
					alert ('Please enter a valid IP Address');
					if (temp_data){
						myField.value = temp_data;
						temp_data = undefined;
					}
				}
				return false;
			}
			for (var i=0; i<parts.length; i++) { // None of the parts can be greater than 255
				if (parseInt(parseFloat(parts[i])) > 255) {
					if (! suppressAlerts){
						alert ('Please enter a valid IP Address');
						if (temp_data){
							myField.value = temp_data;
							temp_data = undefined;
						}
					}
					return false;
				}
			}
			return true;
		} else {
			if (! suppressAlerts){
				alert ('Please enter a valid IP Address');
				if (temp_data){
					myField.value = temp_data;
					temp_data = undefined;
				}
			}
			return false;
		}
	}else if(ipaddr = '' || !ipaddr || isAlpha.test(ipaddr)){
		if (myField.id !== '0A'){
			return true;
		}
		else {
			if (! suppressAlerts){
				alert ('Please enter a valid IP Address');
				if (temp_data){
				    myField.value = '';
					temp_data = '';
				}
			}
		return false;
		}
	}else{
		if (! suppressAlerts){
			alert ('Please enter a valid IP Address');
			if (temp_data){
		    	myField.value = temp_data;
				temp_data = undefined;
			}
		}
		return false;
	}

	return true;

}

function validateColor(myField, suppressAlerts){

	var mycolor = myField.value;

	var valid = /[0-9a-fA-F]{6}/;

	if (! valid.test(mycolor) ){
		if (! suppressAlerts){
			alert ('Please enter a valid HTML color code');
			myField.value = temp_data;
			temp_data = undefined;
		}
		return false;
	}
	var chars  = mycolor.split('');
	if (chars.length > 6){
		if (! suppressAlerts){
			alert ('Please enter a valid HTML color code');
			myField.value = temp_data;
			temp_data = undefined;
		}
		return false;
	}

	return true;

}

function validatePort(myField, suppressAlerts){

	var myport = myField.value;
	var nondigit = /\D/;

	if (nondigit.test(myport)){
		if (! suppressAlerts){
			alert ('Please enter a numeric value');
			myField.value = temp_data;
			temp_data = undefined;
		}
		return false;
	}

	if (myport < 0 || myport > 65535){
		if (! suppressAlerts){
			alert ('Please enter a port value between 0 - 65535');
			myField.value = temp_data;
			temp_data = undefined;
		}
		return false;
	}

	if (myport == 80 || myport == 7235){
		if (! suppressAlerts){
			alert ('The use of port value ' + myport + ' is prohibited.');
			myField.value = temp_data;
			temp_data = undefined;
		}
		return false;
	}

	return true;

}

function validateURL(myField, suppressAlerts) {
	var extURL = myField.value;
	var regexp = /(ftp|http|https|telnet):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/
	if (!regexp.test(extURL)){
		if (! suppressAlerts){
			alert ('Please enter a valid URL');
			myField.value = temp_data;
			temp_data = undefined;
		}
		return false;
	}else{
		return true;
	}
}

function validatePassword(myField, suppressAlerts){
	var newID = myField.id;
	var origID = newID.replace(/NEW/, '');
	var divID = origID + 'divID';
	var passNew = document.getElementById(newID); //new
	var passOrig = document.getElementById(origID); //orig

	if ((passOrig.value != passNew.value) && (document.getElementById(divID).style.display != 'none')){
		if (! suppressAlerts){
			alert('Password mismatch, please try again.');
			passOrig.value='';
			passNew.value='';
			passOrig.focus();
			passOrig.select();
			document.getElementById(divID).style.display = 'none';
		}
		return false;
	}
	else{
		return true;
		document.getElementById(divID).style.display = 'none';
	}
}

function showPassFields(myDivID, myField){
	//if (temp_data != myField.value){
		document.getElementById(myDivID).style.display = '';
		document.getElementById(myDivID).style.background="yellow";
	//}
	return false;
}

// not used... yet
function forbiddenPorts(myport){
	if (myport == 80 || myport == 7235){
		if (! suppressAlerts){
			alert ('The use of port value ' + myport + ' is prohibited.');
			myField.value = temp_data;
			temp_data = undefined;
		}
		return false;
	}
}

function delete_selected(myTask, myName, myDoc, tableID, suppressAlerts){

	//Pre-process each CHECKBOX
	var anyChecked = 0;
	table = document.getElementById(tableID);
	var delRows = new Array();
	for (var i=1;i<table.rows.length;i++){
		inputs = table.rows[i].getElementsByTagName('input');
		for (ti=0;ti<inputs.length;ti++){
			if (inputs[ti].checked == true){
				anyChecked = 1;
				//table.deleteRow(i);
				delRows.push(i);
				//break;
			}
		}

	}
	// start from back of the array

	if(anyChecked == 0){
		if (! suppressAlerts){
			alert ('Please select a '  + myName + ' to delete');
		}
		return false;
	}

	//if (myDoc == 'NULL'){var myForm = 1;}

	if (myDoc == 'NULL'){
		var myForm = document.forms[0];
	}
	else{
		var myForm = document.getElementById(myDoc);
		//var myForm = myDoc;
	}

	if(confirm('Are you sure you want to delete the selected ' + myName + '?')){

		var input = document.createElement('INPUT');
		input.setAttribute('type', 'hidden');
		input.name = 'b';
		input.value = myTask;
		myForm.appendChild(input);
		myForm.submit();

		/* this is for AJAX
		var input = document.createElement('INPUT');
		input.setAttribute('type', 'hidden');
		input.setAttribute('id','formResponse');
		input.name = 'formResponse';
		input.value = 'YES';
		myForm.appendChild(input);
		//myForm.submit();

		showLoad();
        formObj.submit();
      	//showDelete();

		for ( var j=delRows.length-1; j>=0; --j ){
			//alert('rows: ' + delRows[j] +'j: ' + j);
			table.deleteRow(delRows[j]);
		}

		myForm.removeChild(input);
		*/
	}
	else {
		myForm.reset();
	}
}

//The validateNumRange() sub has been moved into \lib\Scrutinizer\configuration\settings\html.pm